Межсайтовый скриптинг в OpenNMS

Дата публикации:
02.10.2008
Всего просмотров:
1790
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenNMS 1.x
Уязвимые версии: OpenNMS 1.5.94, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "viewName" в сценарии surveillanceView.htm. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.opennms.org

Решение: Установите последнюю версию 1.5.95 с сайта производителя.

Ссылки: http://www.opennms.org/documentation/ReleaseNotesUnStable.html
http://bugzilla.opennms.org/show_bug.cgi?id=2760

или введите имя

CAPTCHA